ConnectException Class Reference

Signals that an error occurred while attempting to connect a socket to a remote address and port. More...

Inheritance diagram for ConnectException:

## Public Member Functions

| ConnectException (log4cxx_status_t status)
| ConnectException (const ConnectException &src)
ConnectException & | operator= (const ConnectException &)
Public Member Functions inherited from SocketException
| SocketException (const LogString &msg)
| SocketException (log4cxx_status_t status)
| SocketException (const SocketException &)
SocketException & | operator= (const SocketException &)
Public Member Functions inherited from IOException
| IOException ()
| IOException (log4cxx_status_t stat)
| IOException (const LogString &msg)
| IOException (const IOException &src)
IOException & | operator= (const IOException &)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Signals that an error occurred while attempting to connect a socket to a remote address and port.

Typically, the connection was refused remotely (e.g., no process is listening on the remote address/port).

## Constructor & Destructor Documentation

## ConnectException() [1/2]

ConnectException | ( | log4cxx_status_t | status | ) |

## ConnectException() [2/2]

ConnectException | ( | const ConnectException & | src | ) |

## Member Function Documentation

## operator=()

ConnectException& operator= | ( | const ConnectException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h